/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * FirstAidKit
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class FirstAidKit {
  @SerializedName("label")
  private String label = null;

  @SerializedName("desc")
  private String desc = null;

  public FirstAidKit label(String label) {
    this.label = label;
    return this;
  }

   /**
   * First Aid Kit label. Ex: \&quot;First Aid Kit\&quot;
   * @return label
  **/
  @ApiModelProperty(value = "First Aid Kit label. Ex: \"First Aid Kit\"")
  public String getLabel() {
    return label;
  }

  public void setLabel(String label) {
    this.label = label;
  }

  public FirstAidKit desc(String desc) {
    this.desc = desc;
    return this;
  }

   /**
   * First Aid Kit description. Ex: \&quot;Adhesive tape, antiseptic wound cleanser...\&quot;
   * @return desc
  **/
  @ApiModelProperty(value = "First Aid Kit description. Ex: \"Adhesive tape, antiseptic wound cleanser...\"")
  public String getDesc() {
    return desc;
  }

  public void setDesc(String desc) {
    this.desc = desc;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    FirstAidKit firstAidKit = (FirstAidKit) o;
    return Objects.equals(this.label, firstAidKit.label) &&
        Objects.equals(this.desc, firstAidKit.desc);
  }

  @Override
  public int hashCode() {
    return Objects.hash(label, desc);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class FirstAidKit {\n");
    
    sb.append("    label: ").append(toIndentedString(label)).append("\n");
    sb.append("    desc: ").append(toIndentedString(desc)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

